function L = L_fun( phi_d, phi_c, a, b, pars )

nogood = (phi_d < 0); numargs_phi = numel(phi_d); numargs_phi_c = numel(phi_c); numargs_a = numel(a); numargs_b = numel(b);

if sum(nogood) > 0
    fprintf('Something negative that shouldnt be in L_fun \n');
end;

if ( numargs_phi ~= numargs_phi_c || numargs_phi ~= numargs_b || numargs_phi ~= numargs_a )
    fprintf('Arguments do not have the same number of elements in L_fun\n');
end;

L = partial_expectation( zeros(numargs_phi,1) , phi_d , a, b ) - phi_c.*( 1 - exp( -(phi_d./a).^(b) ) );

end

