function [A,B,ecv] = make_continuation_matrices(V,e,pars)

N = size(e,1)+1; M = size(e,2);

A = NaN(N,M); T = A;
T(2:end,:) = pars.beta*(1-pars.eta)*V - (1-pars.tau).*(1-pars.xi*pars.eta).*e;
T(1,:) = T(2,:) - pars.gamma_e*e(1,:);
dummy = [zeros(1,M);e];
A(1,:) = pars.gamma_e;
A(2:(end-1),:) = diff(T(2:end,:))./diff(dummy(2:end,:));
A(end,:) = 0; 
B = T - dummy.*A;
ecv = [zeros(1,M);e;Inf(1,M)];
A = A'; B = B'; ecv = ecv';

end

