function phi_d_max = maximum_default_m( k, a, b, z, pars )

nogood = (k < 0); numargs = numel(k);

if sum(nogood) > 0
    fprintf('k < 0 in maximum_default_m, \n');
end;

phi_d_max = NaN(numargs,1); 

case1 = ( k == 0 );
case2 = ( k > 0 );
chi_m = z(:,(end-2));
delta_hat = 1-(pars.chi_L - chi_m)./(1-chi_m).*(1-pars.delta_k);

if sum(case2) > 0

    k2 = k(case2); a2 = a(case2); b2 = b(case2); delta_hat2 = delta_hat(case2);
    
    phi_d_high = (a2.^(-(1-b2)./b2)).*( b2./a2 ).^(-1./b2);
    phi_d_low  = zeros(sum(case2),1);
    ff = @(phi_d,indexes) phi_d.*(k2(indexes).^(-1+pars.zeta)) + (1-delta_hat2(indexes)) - (a2(indexes)./b2(indexes)).*(phi_d./a2(indexes)).^(1-b2(indexes)).*(k2(indexes).^(-1+pars.zeta));
    x_low = phi_d_low; x_high = phi_d_high; tol_f = pars.tol_f_maxphi; tol_x = pars.tol_x_maxphi;
    return_warning{1} = true; return_warning{2} = 'maximum_default_m';
    phi_d_max(case2) = bissection(x_low,x_high,ff,tol_f,tol_x,return_warning);
    
end;

phi_d_max(case1)    = (a(case1).^(-(1-b(case1))./b(case1))).*( b(case1)./a(case1) ).^(-1./b(case1));

end
