function [H,H1,H2] = H_fun( phi_d, a, b )

%nogood = (phi_d < 0); numargs = numel(phi_d);

%if sum(nogood) > 0
%    fprintf('phi_d < 0 in H_fun \n');
%end;

numargs = numel(phi_d);

case1 = (phi_d >= 0)&(phi_d < Inf);
case2 = (phi_d >= 0)&(phi_d == Inf);
H = NaN(numargs,1);

if sum(case1) > 0
    H1(case1) = partial_expectation( zeros(sum(case1),1) , phi_d(case1) , a(case1), b(case1) );
    H2(case1) = phi_d(case1).*proba_difference( phi_d(case1) , Inf(sum(case1),1) , a(case1), b(case1) );
    H(case1) = H1(case1) + H2(case1);
end;

if sum(case2) > 0
    H1(case2) = partial_expectation( zeros(sum(case2),1) , phi_d(case2) , a(case2), b(case2) );
    H2(case2) = 0;
    H(case2)  = H1(case2) + H2(case2);
end;

H(phi_d < 0) = phi_d(phi_d < 0);

end

